﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCBA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_CHECKACCTBACK') 
 CREATE TABLE T_OCCBA_CHECKACCTBACK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FBACKSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZDATE DATETIME,
FCOMMENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FOPINION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FOPERATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_CHECKACCTBACKE') 
 CREATE TABLE T_OCCBA_CHECKACCTBACKE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPAYABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYMENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_CHECKCONFIRM') 
 CREATE TABLE T_OCCBA_CHECKCONFIRM (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHECKAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKERID BIGINT DEFAULT 0 NOT NULL,
FCHECKTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_CHECKCONFIRMLOG') 
 CREATE TABLE T_OCCBA_CHECKCONFIRMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FCHECKSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSRCBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHECKERID BIGINT DEFAULT 0 NOT NULL,
FCHECKTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCBA_table.sql **/
