﻿/**Begin D:\PDM_UPGRADE\pdm1\OCCBA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCBA_CHECKACTENTRY' AND KSQL_COL_NAME IN ('FRECEIVABLEAMOUNT')) 
 ALTER TABLE T_OCCBA_CHECKACTENTRY ADD (FRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_CHECKBUSACCOUNT') 
 CREATE TABLE T_OCCBA_CHECKBUSACCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLECHANNELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FISDETAIL CHAR(1) DEFAULT '0' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FINVALIDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FOPENINGBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_CHECKBUSACTENTRY') 
 CREATE TABLE T_OCCBA_CHECKBUSACTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSETTLECHANNELID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUMMARY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBUSINESSDATE DATETIME,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCBA_CHANNELBALANCE' AND KSQL_COL_NAME IN ('FACCOUNTID')) 
 ALTER TABLE T_OCCBA_CHANNELBALANCE ADD (FACCOUNTID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\pdm1\OCCBA_table.sql **/