﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCBA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_CONTROLAREA') 
 CREATE TABLE T_OCCBA_CONTROLAREA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUPPLYRELATIONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYRELATION CHAR(1) DEFAULT ' ' NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FLOGICALREALTION CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_MONEYTYPE') 
 CREATE TABLE T_OCCBA_MONEYTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISUPDATEMONEY CHAR(1) DEFAULT '1' NOT NULL,
FUPDATETYPE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_MONEYTYPE_L') 
 CREATE TABLE T_OCCBA_MONEYTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_MONEYUSESET_L') 
 CREATE TABLE T_OCCBA_MONEYUSESET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_USESETBILLTYPE') 
 CREATE TABLE T_OCCBA_USESETBILLTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_MONEYUSESET') 
 CREATE TABLE T_OCCBA_MONEYUSESET (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLTYPE CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLTIME CHAR(1) DEFAULT '0' NOT NULL,
FMONEYACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FUPDATEMONEYTIME CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_INCOMEENTRY') 
 CREATE TABLE T_OCCBA_INCOMEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCBA_MONEYINCOME') 
 CREATE TABLE T_OCCBA_MONEYINCOME (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMONEYORGID BIGINT DEFAULT 0 NOT NULL,
FMONEYTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FPAYTYPE CHAR(1) DEFAULT '0' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FMONEYACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCES CHAR(1) DEFAULT '2' NOT NULL,
FORDERREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FRECACCOUNT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYCHANNELID BIGINT DEFAULT 0 NOT NULL,
FPAYACCOUNT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUMRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCBA_table.sql **/
