<?xml version="1.0" encoding="UTF-8"?>

<DeployScript>
  <Scripts>
    <KScript>
      <id>4tZ1xVC3</id>
      <number>dynamicformlistscriptplugin</number>
      <cmb_ftype></cmb_ftype>
      <scripttype>3</scripttype>
      <context><![CDATA[require("kd.bos.list.ListColumn");
require("kd.bos.mvc.list.ListDataProvider");
require("kd.bos.mvc.form.FormView");
/**
* @author limin_lei
* @date 20121-09-13
*/
var plugin = new ListPlugin({
	beforeCreateListColumns : function(e){
		var lsp = this.getView().getFormShowParameter();
        var listColumns = lsp.getCustomParam("showFields");
        var columns = e.getListColumns();
        columns.clear();
        var dt = EntityMetadataCache.getDataEntityType(this.getEntityKey());
		var allFields = dt.getAllFields();
		for (var i = 0; i < listColumns.size(); i++) {
			var field = listColumns.get(i);
			var split = field.split(".");
			if (allFields.containsKey(split[0])) {
				var property = allFields.get(split[0]);
				//以上代码都是为了获取下面这个字段显示名称
				var columnDisplayName = property.getDisplayName().getLocaleValue();
				columns.add(this.createListColumn(field, columnDisplayName, i + 1));
			}
		}
	},
    createListColumn :function(key,columnDisplayName,colIndex){
        var col = new ListColumn();
		col.setCaption(new LocaleString(columnDisplayName));
		col.setKey(key);
		col.setListFieldKey(key);
		col.setFieldName(key);
		col.setSeq(colIndex);
		col.setVisible(11);
		return col;
    },

    getEntityKey : function(){
        var entity = this.getView().getFormShowParameter().getCustomParam("entity");
		return entity;
    },
    getEntryKey : function(){
        var entity = this.getView().getFormShowParameter().getCustomParam("entry");
		return entity;
    },
    isEntryMain :function(){
    	 var entity = this.getView().getFormShowParameter().getCustomParam("isEntryMain");
    	 return entity;
	}
    
});]]></context>
      <bizappid>1O8MAWNFN5SY</bizappid>
      <bizunitid>1O8MAWOK5532</bizunitid>
      <scriptname>F7动态列表插件</scriptname>
      <creater_id>13466739</creater_id>
      <createdate>1631528978000</createdate>
      <modifydate>1631529040000</modifydate>
      <modifier_id>13466739</modifier_id>
      <isv>kingdee</isv>
      <classname>kingdee.occ.occba.mainpage.dynamicformlistscriptplugin</classname>
    </KScript>
  </Scripts>
  <BOSVersion>1.0</BOSVersion>
</DeployScript>
